首页 风暴英雄直播正文

风暴英雄2.0怎么安装不了,如何回滚到1.0.x,同步1.0之前的版本?-知乎用户的回答其实一个游戏从1.0之前开始做,是很正常的事情,美服冒险岛后面出的2.0版本跟1.0的patch库中各种dll倒是没区别,虽然用到了1.0之前的官方dll,但是远程调用的话,最多提示该dll没有提供最新版本。包括亚洲地区从1.0.1后期版本开始,同步到1.0中期的时候,也会检查1.0版本库里面的那些私有包,然后用数据库同步加载这些私有包。不过是patch而已,传递数据没区别。还有就是,暴雪的cdn多地方分布,能做到你家、省、全国,随便一个服务器就能维护这个库的不同包;但是联网传输会有延迟。你本地调用1.0库就像调用xp系统一样慢慢等。暴雪选择正常版本并维护,并不是用来区分版本号,而是用数据库同步的方式。这样的设计有一个很重要的目的,那就是建立所有包都存在的东西,他就没必要搞区分升级兼容,从1.06t15升级到1.02t5,区分升级兼容什么意义呢?这方面,dlc的升级兼容其实还挺好。不过换到暴雪自己的角度上,确实还需要维护一个新库,以供不同账号以不同方式传递。这对于暴雪来说,也不是不需要的,这是最优解。数据库不知道为什么,要加入到1.0之前各个版本的库里。暴雪可能不需要把所有库建立一个表,用文件形式存一下同步吧。

版权声明

本文仅代表作者观点,不代表本站立场。
本文系作者授权发表,未经许可,不得转载。

评论